Bug 240801 - Upgrade x11/libXvMC to 1.0.12
Summary: Upgrade x11/libXvMC to 1.0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on: 241314
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-25 00:39 UTC by pete
Modified: 2019-11-06 18:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
diff to upgrade (835 bytes, patch)
2019-09-25 00:44 UTC, pete
no flags Details | Diff
update diff for libXvMC (1.39 KB, patch)
2019-09-26 02:39 UTC, pete
no flags Details | Diff
update xorgproto plist to not manage vldXvMC (482 bytes, patch)
2019-09-26 02:44 UTC, pete
no flags Details | Diff
patch-Makefile.am (341 bytes, patch)
2019-09-26 02:46 UTC, pete
no flags Details | Diff
updated diff for libXvMC (1.39 KB, patch)
2019-09-26 02:48 UTC, pete
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pete 2019-09-25 00:39:15 UTC
This release fixes the pkgconfig data to not refer to libXv, adds a
pkgconfig file for libXvMCW, and prepares for a future xorgproto
release. There should be no functional changes.

Adam Jackson (3):
      pkgconfig: Remove xv from xvmc.pc
      vld: Provide <X11/extensions/vldXvMC.h> ourself
      libXvMC 1.0.12

Dylan Baker (1):
      Add a pkgconfig file for libXvMCW

git tag: libXvMC-1.0.12

https://xorg.freedesktop.org/archive/individual/lib/libXvMC-1.0.12.tar.bz2
MD5:  3569ff7f3e26864d986d6a21147eaa58  libXvMC-1.0.12.tar.bz2
SHA1: 4871f92a83faa86aff5c630a2d6016c67bf11b97  libXvMC-1.0.12.tar.bz2
SHA256: 6b3da7977b3f7eaf4f0ac6470ab1e562298d82c4e79077765787963ab7966dcd  libXvMC-1.0.12.tar.bz2
SHA512: 62cb9a72b20af3b081d2d555a253b0e2b8b26b31f4fad10bd3e53bbf96e1663b61bd8df2b78b16f18218cd37cce0c9e6809ae16ded226b37a8b199e41b223955  libXvMC-1.0.12.tar.bz2
PGP:  https://xorg.freedesktop.org/archive/individual/lib/libXvMC-1.0.12.tar.bz2.sig

https://xorg.freedesktop.org/archive/individual/lib/libXvMC-1.0.12.tar.gz
MD5:  060d82ca1050cad66c947c386214abbd  libXvMC-1.0.12.tar.gz
SHA1: 6614f4a64b3dcae9cb75fd910b4b5bc6b5d9e324  libXvMC-1.0.12.tar.gz
SHA256: 024c9ec4f001f037eeca501ee724c7e51cf287eb69ced8c6126e16e7fa9864b5  libXvMC-1.0.12.tar.gz
SHA512: 92e2c9e6169e541676df214c5e9f46a28bf14b8e94dc63491c782db62829c3450eed2a5fe4020dee8480addbb26446899ea9fd66cb19e2992a5e31c1d0113ddb  libXvMC-1.0.12.tar.gz
PGP:  https://xorg.freedesktop.org/archive/individual/lib/libXvMC-1.0.12.tar.gz.sig
Comment 1 pete 2019-09-25 00:44:12 UTC
Created attachment 207782 [details]
diff to upgrade
Comment 2 pete 2019-09-25 00:53:32 UTC
Building now against 12.0-RELEASE and will update when build completes and I've had a chance to test it.
Comment 3 pete 2019-09-26 02:39:04 UTC
Created attachment 207829 [details]
update diff for libXvMC

this includes fixes for the plist file which were missed in the original patch I submitted.
Comment 4 pete 2019-09-26 02:44:10 UTC
Created attachment 207830 [details]
update xorgproto plist to not manage vldXvMC

extensions/vldXvMC.h is now tracked by libXvMC and should no longer be managed by xorgproto.
Comment 5 pete 2019-09-26 02:46:48 UTC
Created attachment 207831 [details]
patch-Makefile.am

The intent of this is to be placed in x11/xorgproto/files/patch-Makefile.am.  It should update xorgproto's Makefile.am to not create include/X11/extensions/vldXvMC.h.  

For some reason I can not get this to work when I build on my systems, so I am posting this here hoping a fresh set of eyes can point out what I am doing wrong.
Comment 6 pete 2019-09-26 02:48:33 UTC
Created attachment 207832 [details]
updated diff for libXvMC

re-posting this attachment to ensure it is clear that it obsoletes the original patch I posted.
Comment 7 Niclas Zeising freebsd_committer 2019-09-26 05:58:44 UTC
Is there any chance you can have libXvMC not provide the header for now?  I worry that changing xorgproto to not include the header will cause issues with other ports.
Comment 8 pete 2019-09-29 16:52:05 UTC
(In reply to Niclas Zeising from comment #7)
Should have read Changelog earlier:

"commit 0fab90b409a3e4848603bdb6b438523038239f23
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 24 12:28:19 2019 -0400

    vld: Provide <X11/extensions/vldXvMC.h> ourself
    
    This header refers to libX11 types, it doesn't belong in xorgproto and
    has been moved to legacy in 2019.2. Supply it ourselves."

Of course there is no 2019.2 tag yet for xorgproto, so i think the best thing to do is put this PR on hold until xorgproto-2019.2 is released, then things should build cleanly.
Comment 9 Niclas Zeising freebsd_committer 2019-09-29 17:03:52 UTC
Yeah, I know the background for the move, but there is some time before xorgproto can be fixed, and moving this header might surprise some ports.
Comment 10 pete 2019-09-30 17:10:20 UTC
(In reply to Niclas Zeising from comment #9)
Looking at the diffs for this release, it seems the only change is to move this header into libXvMC, so I suggest we put this on hold until xorgproto is released, and then come up with a plan to get dependent ports updated as well.

https://gitlab.freedesktop.org/xorg/lib/libxvmc/commits/libXvMC-1.0.12
Comment 11 Niclas Zeising freebsd_committer 2019-09-30 19:24:54 UTC
(In reply to pete from comment #10)
Agree
Comment 12 commit-hook freebsd_committer 2019-11-06 17:58:52 UTC
A commit references this bug:

Author: zeising
Date: Wed Nov  6 17:58:30 UTC 2019
New revision: 516911
URL: https://svnweb.freebsd.org/changeset/ports/516911

Log:
  Update xorgproto, libX11 and libXvMC

  Update x11/xorgproto to 2019.2 [0]
  Disable all legacy headers, they are no longer needed, since they only
  detail deprecated protocol features.

  Update x11/libX11 to 1.6.9
  This is a minor update, mostly containing fixes to work with updated
  x11/xorgproto.

  Update x11/libXvMC to  1.0.12 [1]
  This is a minor update, mostly containing fixes to work with updated
  x11/xorgproto.

  Patch mesa prts to explicitly link against -lXv, previously this was pulled
  in by x11/libXvMC, but with changes to libXvMC .pc file, this is no longer
  true.
  Bump portrevision for mesa-dri because of this.

  Thanks fo antoine for the exp-run!

  PR:		241314 (exp-run) [0], 240801 [1]
  Submitted by:	pete@nomadlogic.org [1]

Changes:
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/files/patch-src_gallium_state__trackers_xvmc_Makefile.in
  head/graphics/mesa-dri/files/patch-src_gallium_targets_xvmc_Makefile.in
  head/x11/libX11/Makefile
  head/x11/libX11/distinfo
  head/x11/libX11/files/
  head/x11/libX11/pkg-plist
  head/x11/libXvMC/Makefile
  head/x11/libXvMC/distinfo
  head/x11/libXvMC/pkg-plist
  head/x11/xorgproto/Makefile
  head/x11/xorgproto/distinfo
  head/x11/xorgproto/pkg-plist
Comment 13 Niclas Zeising freebsd_committer 2019-11-06 18:03:18 UTC
Comitted, thanks!